<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/* -------------------- API Calls & Assignments -------------------- */
$app          = JFactory::getApplication();
$document     = JFactory::getDocument();
$language     = JFactory::getLanguage();
$sitename     = $app->getCfg('sitename');
$sitetemplate = $app->getTemplate();
$siteurl      = JURI::base();
$siterelpath  = $this->baseurl;
$siteabspath  = JPATH_SITE;
$templatePath = JUri::base() . 'templates/' . $this->template; // Updated this line



/* -------------------- Requests -------------------- */
$option       = $app->input->get('view') != 'option'; // Updated this line
$view         = $app->input->get('view') != 'view';   // Updated this line
$layout       = $app->input->get('view') != 'layout'; // Updated this line
$page         = $app->input->get('view') != 'page';   // Updated this line
$task         = $app->input->get('view') != 'task';   // Updated this line
$id           = $app->input->get('view') != 'id';     // Updated this line
$itemid       = $app->input->get('view') != 'Itemid'; // Updated this line
$tmpl         = $app->input->get('view') != 'tmpl';   // Updated this line



/* -------------------- Helper Functions -------------------- */



/* -------------------- Sub-template Specific -------------------- */
if (!isset($this->error)) {
    $this->error = JError::raiseWarning(403, JText::_('JERROR_ALERTNOAUTHOR'));
    $this->debug = false;
}
use Joomla\CMS\Uri\Uri;
$uri = Uri::getInstance();
$url = $uri->toString();



/* -------------------- Template Constants -------------------- */
if (!defined('NU_CDN')) {
    define('NU_CDN', 'https://cdn.joomlaworks.org');
}



/* -------------------- Custom Template Logic [CAN EDIT] -------------------- */
// Add template specific rules and logic here
