<?php
<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="modCCBlock k2TopCommentersBlock<?php if($getParams->get('moduleclass_sfx')) echo ' '.$getParams->get('moduleclass_sfx'); ?>">
    <?php if(count($commenters)): ?>
    <ul>
        <?php foreach ($commenters as $key=>$commenter): ?>
        <li class="<?php echo ($key%2) ? "odd" : "even"; if(count($commenters)==$key+1) echo ' lastItem'; ?>">

            <?php if($commenter->userImage): ?>
            <a class="k2Avatar tcAvatar" rel="author" href="<?php echo $commenter->link; ?>">
                <img src="<?php echo $commenter->userImage; ?>" alt="<?php echo JFilterOutput::cleanText($commenter->userName); ?>" style="width:<?php echo $tcAvatarWidth; ?>px;height:auto;" />
            </a>
            <?php endif; ?>

            <div class="ccInfoBlock">
                <?php if($getParams->get('commenterLink')): ?>
                <a class="tcLink" rel="author" href="<?php echo $commenter->link; ?>">
                <?php endif; ?>
                    <span class="tcUsername"><?php echo $commenter->userName; ?></span>
                    <?php if($getParams->get('commenterCommentsCounter')): ?>
                    <span class="tcCommentsCounter">(<span><?php echo $commenter->counter; ?></span> <?php if($commenter->counter>1) echo JText::_('K2_COMMENTS'); else echo JText::_('K2_COMMENT'); ?>)</span>
                    <?php endif; ?>
                <?php if($getParams->get('commenterLink')): ?>
                </a>
                <?php endif; ?>

                <?php if($getParams->get('commenterLatestComment')): ?>
                <div class="clr"></div>
                <a class="tcLatestComment" href="<?php echo $commenter->latestCommentLink; ?>">
                    <?php echo $commenter->latestCommentText; ?>
                </a>
                <span class="tcLatestCommentDate"><?php //echo JText::_('K2_POSTED_ON'); ?> <?php echo JHTML::_('date', $commenter->latestCommentDate, 'd F Y, H:i'); ?></span>
                <?php endif; ?>
            </div>

            <div class="clr"></div>
        </li>
        <?php endforeach; ?>
        <li class="clearList"></li>
    </ul>
    <?php endif; ?>
</div>
