<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="modAuthorsListBlock k2AuthorsListBlock<?php if($getParams->get('moduleclass_sfx')) echo ' '.$getParams->get('moduleclass_sfx'); ?>">
    <ul>
        <?php foreach ($authors as $author): ?>
        <li>
            <?php if ($getParams->get('authorAvatar')): ?>
            <a class="k2Avatar abAuthorAvatar" rel="author" href="<?php echo $author->link; ?>" title="<?php echo K2HelperUtilities::cleanHtml($author->name); ?>">
                <img src="<?php echo $author->avatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($author->name); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
            </a>
            <?php endif; ?>

            <a class="abAuthorName" rel="author" href="<?php echo $author->link; ?>">
                <?php echo $author->name; ?>

                <?php if ($getParams->get('authorItemsCounter')): ?>
                <span>(<?php echo $author->items; ?>)</span>
                <?php endif; ?>
            </a>

            <?php if ($getParams->get('authorLatestItem')): ?>
            <div class="abAuthorLatestItem">
                <a href="<?php echo $author->latest->link; ?>" title="<?php echo K2HelperUtilities::cleanHtml($author->latest->title); ?>">
                    <span><?php echo $author->latest->title; ?></span>
                    <span class="abAuthorCommentsCount">
                        (<?php echo $author->latest->numOfComments; ?> <?php if($author->latest->numOfComments=='1') echo JText::_('K2_MODK2TOOLS_COMMENT'); else echo JText::_('K2_MODK2TOOLS_COMMENTS'); ?>)
                    </span>
                </a>
            </div>
            <?php endif; ?>
            <div class="clr"></div>
        </li>
        <?php endforeach; ?>
        <li class="clearList"></li>
    </ul>
</div>