<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;
?>

<div id="joomlaContainer" class="search<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')): ?>
    <h1>
        <?php if ($this->escape($this->params->get('page_heading'))): ?>
        <?php echo $this->escape($this->params->get('page_heading')); ?>
        <?php else: ?>
        <?php echo $this->escape($this->params->get('page_title')); ?>
        <?php endif; ?>
    </h1>
    <?php endif; ?>

    <?php echo $this->loadTemplate('form'); ?>

    <?php if ($this->error==null && count($this->results) > 0): ?>
    <?php echo $this->loadTemplate('results'); ?>
    <?php else: ?>
    <?php echo $this->loadTemplate('error'); ?>
    <?php endif; ?>
</div>
