<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="modBreadcrumbsBlock k2BreadcrumbsBlock<?php if($getParams->get('moduleclass_sfx')) echo ' '.$getParams->get('moduleclass_sfx'); ?>">
    <?php
    $output = '';
    if ($getParams->get('home')) {
        $output .= '<span class="bcTitle">'.JText::_('K2_YOU_ARE_HERE').'</span>';
        $output .= '<a class="home" href="'.JURI::root().'"><span>'.$getParams->get('home',JText::_('K2_HOME')).'</span></a>';
        if (count($path)) {
            foreach ($path as $link) {
                $output .= '<span class="bcSeparator">'.$getParams->get('seperator','&raquo;').'</span>'.$link;
            }
        }
        if($title){
            $output .= '<span class="bcSeparator">'.$getParams->get('seperator','&raquo;').'</span>'.$title;
        }
    } else {
        if($title){
            $output .= '<span class="bcTitle">'.JText::_('K2_YOU_ARE_HERE').'</span>';
        }
        if (count($path)) {
            foreach ($path as $link) {
                $output .= $link.'<span class="bcSeparator">'.$getParams->get('seperator','&raquo;').'</span>';
            }
        }
        $output .= $title;
    }

    echo $output;
    ?>
</div>